Supporto » Funzionalità = Plugin » Prima di aggiornare WooCommerce alla versione 3.0.X

  • La nuova release di WooCommerce https://woocommerce.wordpress.com/2017/04/04/say-hello-to-woocommerce-3-0-bionic-butterfly/ ha introdotto sostanziali cambiamenti che richiedono da parte degli sviluppatori dei temi e dei plugin un adeguamento alle nuove specifiche.

    PRIMA di aggiornare WooCommerce alla nuova versione:
    – assicurati che tema e plugin siano compatibili con questa nuova release.
    – Controlla il forum di supporto del tema e dei plugin che stai usando per capire se ci sono problemi conosciuti di incompatibilità con la nuova versione
    – Contatta se necessario lo sviluppatore nel forum di supporto dedicato per maggiore sicurezza, soprattutto se stai utilizzando prodotti a pagamento
    – Fai il backup dell’intero sito (file + Database)

    Se qualcosa dovesse andare storto dopo l’aggiornamento:
    Attiva uno dei temi di default di WordPress (tipo twenty-seventeen) oppure Storefront (il tema ufficiale di WooCommerce)

    Se il problemi si risolve: contatta lo sviluppatore del tema e spiegagli quanto più dettagliatamente il problema che hai avuto. Questo lo aiuterà per poter risolvere il problema quanto prima

    Se il problema persiste: disattiva tutti i plugin che stai usando (tranne WooCommerce) e controlla che non ci siano malfunzionamenti. Riattiva i plugin uno alla volta fino a che un problema si presenta. Trovato il plugin non compatibile contatta lo sviluppatore e segnala il problema

    Nel peggiore dei casi ripristina il tuo backup funzionante fino a quando sarai certo che il tuo tema e tutti i tuoi plugin saranno compatibili con la nuova release.

    Qui il forum di supporto di WooCommerce: https://wordpress.org/support/plugin/woocommerce

  • Il topic ‘Prima di aggiornare WooCommerce alla versione 3.0.X’ è chiuso a nuove risposte.